<?php

//cliente
class Cliente {
    public $nome;
    public $profissao;
    public $telefone;
    public $dataNascimento;
    public $rua;
    public $numero;
    public $bairro;
    public $cidade;
    public $instagran;
    public $loja;

    public function __construct($nome,
                                       $profissao,
                                       $telefone,
                                       $dataNascimento,
                                       $rua,
                                       $numero,
                                       $bairro,
                                       $cidade,
                                       $instagran,
                                       $loja){

        $this->nome = $nome;
        $this->profissao = $profissao;
        $this->setTelefone($telefone);
        $this->dataNascimento = $dataNascimento;
        $this->rua = $rua;
        $this->numero = $numero;
        $this->bairro = $bairro;
        $this->cidade = $cidade;
        $this->instagran = $instagran;
        $this->loja = $loja;
    }


    //add cliente
    public function CadastrarCliente($conexao){

        $query = "INSERT INTO `clientes` (`id`, `nome`, `profissao`, `telefone`, `dataNascimento`, `rua`, `numero`, `bairro`, `cidade`, `instagran`, `loja`)
        
         VALUES (NULL, '$this->nome', '$this->profissao', '$this->telefone', '$this->dataNascimento', '$this->rua', '$this->numero', '$this->bairro', '$this->cidade', '$this->instagran', '$this->loja');";

        mysqli_query($conexao, $query);
        
    }
    
    //listar todos os clientes
    public static function listarClientes($conexao){
    
        $query1 = "SELECT * FROM `clientes` ORDER BY id DESC";
        $result1 = mysqli_query($conexao, $query1);
        return $result1;
    }


   //buscar produto que sera desativado
public function buscarCliente($conexao,$telefone){

    $query1 = "SELECT telefone FROM `clientes` WHERE `clientes`.`telefone` = $telefone ";
    //fazendo a consulta no banco de dados
    $result1 = mysqli_query($conexao, $query1);

    $row1 = mysqli_fetch_assoc($result1);

    return $row1['telefone'];
}


//listar todos os clientes
public static function contarCliente($conexao){
    
    $query1 = "SELECT COUNT(id) as id FROM `clientes`";
    $result1 = mysqli_query($conexao, $query1);

    $row1 = mysqli_fetch_assoc($result1);
    return $row1['id'];
}

public function setTelefone($telefone) {
    
    $celular = str_replace(' ', '', $telefone);
    
    $this->telefone = $celular;
}


}

